# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes

# vl::FBODepthStencilBufferAttachment Class Reference

A depth+stencil renderbuffer to be attached to a FBORenderTarget. More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBODepthStencilBufferAttachment:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| FBODepthStencilBufferAttachment (EDepthStencilBufferFormat type)
| Constructor.
void | setType (EDepthStencilBufferFormat type)
| The type to specify when allocating the renderbuffer storage.
EDepthStencilBufferFormat | type () const
| The type to specify when allocating the renderbuffer storage.

## Protected Member Functions

virtual int | internalType ()

## Protected Attributes

EDepthStencilBufferFormat | mType

## Detailed Description

A depth+stencil renderbuffer to be attached to a FBORenderTarget.

Definition at line 275 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBODepthStencilBufferAttachment::FBODepthStencilBufferAttachment | ( | EDepthStencilBufferFormat | type ) | `[inline]`

Constructor.

Definition at line 281 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::FBODepthStencilBufferAttachment::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::FBORenderbufferAttachment.

Definition at line 278 of file FramebufferObject.hpp.

void vl::FBODepthStencilBufferAttachment::setType | ( | EDepthStencilBufferFormat | type ) | `[inline]`

The type to specify when allocating the renderbuffer storage.

Definition at line 288 of file FramebufferObject.hpp.

EDepthStencilBufferFormat vl::FBODepthStencilBufferAttachment::type | ( | ) | const`[inline]`

The type to specify when allocating the renderbuffer storage.

Definition at line 291 of file FramebufferObject.hpp.

virtual int vl::FBODepthStencilBufferAttachment::internalType | ( | ) | `[inline, protected, virtual]`

Implements vl::FBORenderbufferAttachment.

Definition at line 294 of file FramebufferObject.hpp.

## Member Data Documentation

EDepthStencilBufferFormat vl::FBODepthStencilBufferAttachment::mType`[protected]`

Definition at line 297 of file FramebufferObject.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:40.
Permission is granted to use this page to write and publish articles regarding Visualization Library.